package com.chenyang.nse.bussiness.bean;

import java.util.List;

public class DataBase {
   private String ip_port;
   private String url;
   private String username;
   private String password;
   private String dbType;
   private List<Schema> schemaList;
   private List<String> excludeSchema;
   private boolean cacheFlag;
   private String datasystemid;
   public DBEasyCache easyCache;

   public String getIp_port() {
      return this.ip_port;
   }

   public void setIp_port(String ip_port) {
      this.ip_port = ip_port;
   }

   public String getUrl() {
      return this.url;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getDbType() {
      return this.dbType;
   }

   public void setDbType(String dbType) {
      this.dbType = dbType;
   }

   public List<Schema> getSchemaList() {
      return this.schemaList;
   }

   public void setSchemaList(List<Schema> schemaList) {
      this.schemaList = schemaList;
   }

   public List<String> getExcludeSchema() {
      return this.excludeSchema;
   }

   public void setExcludeSchema(List<String> excludeSchema) {
      this.excludeSchema = excludeSchema;
   }

   public boolean isCacheFlag() {
      return this.cacheFlag;
   }

   public void setCacheFlag(boolean cacheFlag) {
      this.cacheFlag = cacheFlag;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }
}
